<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('post_social_accounts', function (Blueprint $table) {
            $table->id();

            $table->foreignId('post_id')->constrained();

            $table->foreignId('social_account_id')->constrained();

            $table->string('provider_post_id')->nullable();

            $table->string('status')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('post_social_accounts');
    }
};
